Summary: Help to install StarOffice 4.0 on RedHat
Name: 		staroffice-wrapper
Version: 	4.0
Release: 	11
Source: 	http://www.waldherr.org/soffice/staroffice-wrapper-4.0-9.tar.gz
URL: 		http://www.waldherr.org/soffice/
Copyright: 	GPL
Group: 		Applications/Publishing
BuildRoot: 	/var/tmp/staroffice-wrapper
Requires: 	gawk, findutils, file
Prefix: 	/usr/local/Office40
ExclusiveArch:  i386

%description 
Get  StarOffice for Linux .tar.gz file from
http://www.stardivision.com/ or http://www.stardivision.de/ and make a
link, e.g., from /tmp/so40sp3_lnx_01.tar.gz to the file (or put the
file into /tmp if you have enough space). Then install this RPM, which
will in turn install StarOffice (as a multi-user installation) under
/usr/local/Office40 with the correct libc and libm versions. It is now
possible to change the installation target /usr/local/Office40 with
rpm's standard option `--prefix'. Example:

   rpm -Uvh --prefix=/opt/Office40 staroffice-wrapper-4.0-10.i386.rpm

Works for 01 (English) and 49 (German) versions. Installation is only
possible under X and without using glint.

Each user must 

   +   move their ~/Office40 to ~/Office40.old
   +   run /usr/local/Office40/bin/setup 
       (replace /usr/local/Office40 with whatever you used with --prefix)
   +   choose `Installation from Net or CD'

before using StarOffice.


%pre
# this is a pre-install script 
case "$DISPLAY" in
   "")
     echo "Installation is only possible under X. Sorry."
     exit -1
     ;;
   *)
     ;;
esac

%prep
%setup -q -n staroffice-wrapper-4.0-9
%build

%install
rm -rf $RPM_BUILD_ROOT

# this baby will put the libs and links in /usr/local/Office40/lib
install -d $RPM_BUILD_ROOT%{prefix}/lib
cp -arp . $RPM_BUILD_ROOT%{prefix}
cd $RPM_BUILD_ROOT%{prefix}/lib
ln -s libc.so.5.4.38 libc.so
ln -s libc.so.5.4.38 libc.so.5
ln -s libm.so.5.0.9 libm.so
ln -s libm.so.5.0.9 libm.so.5

%post

# this baby will untar staroffice, replace the setup script and 
# install staroffice under /usr/local/Office40
$RPM_INSTALL_PREFIX/untar_staroffice $RPM_INSTALL_PREFIX

%clean
rm -rf $RPM_BUILD_ROOT

%postun

echo ""
echo "You should manually remove $RPM_INSTALL_PREFIX now."
echo ""

%files
%defattr(-,root,root)
%dir /usr/local/Office40/
/usr/local/Office40/untar_staroffice
/usr/local/Office40/setup
/usr/local/Office40/lib/libc.so
/usr/local/Office40/lib/libc.so.5
/usr/local/Office40/lib/libc.so.5.4.38
/usr/local/Office40/lib/libm.so
/usr/local/Office40/lib/libm.so.5
/usr/local/Office40/lib/libm.so.5.0.9

%changelog
* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0 for older staroffices

* Tue Sep 15 1998 Michael Maher <mike@redhat.com>
- Red Hatified Stefan's Wrapper.

* Thu Jul 23 1998 Stefan Waldherr <swa@cs.cmu.edu>
- Fixed major link problem.
